RHEL Engineering is moving the tracking of its product development work on RHEL 6 through RHEL 9 to Red Hat Jira (issues.redhat.com). If you're a Red Hat customer, please continue to file support cases via the Red Hat customer portal. If you're not, please head to the "RHEL project" in Red Hat Jira and file new tickets here. Individual Bugzilla bugs in the statuses "NEW", "ASSIGNED", and "POST" are being migrated throughout September 2023. Bugs of Red Hat partners with an assigned Engineering Partner Manager (EPM) are migrated in late September as per pre-agreed dates. Bugs against components "kernel", "kernel-rt", and "kpatch" are only migrated if still in "NEW" or "ASSIGNED". If you cannot log in to RH Jira, please consult article #7032570. That failing, please send an e-mail to the RH Jira admins at rh-issues@redhat.com to troubleshoot your issue as a user management inquiry. The email creates a ServiceNow ticket with Red Hat. Individual Bugzilla bugs that are migrated will be moved to status "CLOSED", resolution "MIGRATED", and set with "MigratedToJIRA" in "Keywords". The link to the successor Jira issue will be found under "Links", have a little "two-footprint" icon next to it, and direct you to the "RHEL project" in Red Hat Jira (issue links are of type "https://issues.redhat.com/browse/RHEL-XXXX", where "X" is a digit). This same link will be available in a blue banner at the top of the page informing you that that bug has been migrated.
Bug 2114772 - [FIPS lab review] HKDF limitations
Summary: [FIPS lab review] HKDF limitations
Keywords:
Status: CLOSED CURRENTRELEASE
Alias: None
Product: Red Hat Enterprise Linux 9
Classification: Red Hat
Component: openssl
Version: 9.1
Hardware: Unspecified
OS: Unspecified
high
high
Target Milestone: rc
: ---
Assignee: Clemens Lang
QA Contact: Hubert Kario
URL:
Whiteboard:
Depends On:
Blocks: 2118388
TreeView+ depends on / blocked
 
Reported: 2022-08-03 08:57 UTC by Dmitry Belyavskiy
Modified: 2023-06-05 15:55 UTC (History)
3 users (show)

Fixed In Version: openssl-3.0.1-41.el9_0
Doc Type: No Doc Update
Doc Text:
Clone Of:
: 2118388 (view as bug list)
Environment:
Last Closed: 2023-06-05 15:55:26 UTC
Type: Bug
Target Upstream Version:
Embargoed:


Attachments (Terms of Use)


Links
System ID Private Priority Status Summary Last Updated
Red Hat Issue Tracker CRYPTO-8058 0 None None None 2022-08-08 13:36:10 UTC
Red Hat Issue Tracker RHELPLAN-129996 0 None None None 2022-08-03 09:04:31 UTC

Description Dmitry Belyavskiy 2022-08-03 08:57:56 UTC
HKDF algorithms are only allowed in the context of TLS 1.3. 

HKDF is only approved when it is used as specified in SP800-56C. This spec
defines that HKDF is only allowed to process shared secrets that were agreed
on (DH) or exchanged (RSA). This means it is allowed to be used as part of TLS
1.3.

NIST made it very clear that HKDF is not allowed to be used as a general-
purpose KDF like SP800-108 KDFs. 

If HKDF is not merged with the key establishment method by the module, then it
is non-approved considering that 56C defines a schema that must be provided by
the module and not by the caller.

We can document that the HKDF indicator is applicable only for TLS applications. For any other use the function is unapproved and the indicator does not apply.

Comment 9 Clemens Lang 2023-06-05 15:55:26 UTC
RHEL 9.1 contains openssl-3.0.1-43.el9_0.


Note You need to log in before you can comment on or make changes to this bug.